> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get orders

> Returns a list of the orders



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/orders
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/orders:
    get:
      tags:
        - Point of Sale
        - Orders
      summary: Get orders
      description: Returns a list of the orders
      operationId: pos_get_orders
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Date From
          description: Start date (inclusive) of the period to get orders from
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Date To
          description: End date (inclusive) of the period to get orders from
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
          description: >-
            Unique identifier of the location. If none passed, orders from all
            locations will be returned unless the location was selected by the
            end-user
        - name: state
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/States'
            default: all
          description: State of the orders to get
        - name: closure_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Closure Id
          description: >-
            Unique identifier of the closure. If none passed, orders from all
            closures will be selected.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_POSOrderItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.orders
            - pos.orders.read
components:
  schemas:
    States:
      type: string
      enum:
        - open
        - closed
        - all
      title: States
    ChiftPage_POSOrderItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/POSOrderItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[POSOrderItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    POSOrderItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the order
          examples:
            - 371ca583-d218-4900-b236-397532cf0e52
        order_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Order Number
          description: Order number (often unique reference during the day)
          examples:
            - '1'
        creation_date:
          type: string
          format: date-time
          title: Creation Date
          description: Creation date of the order
          examples:
            - '2025-01-01T00:00:00Z'
        closing_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Closing Date
          description: Closing date of the order
          examples:
            - '2025-01-01T00:00:00Z'
        service_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Service Date
          description: >-
            Indicates the date of the service to which the order belongs (can be
            used to group orders by closure date)
          examples:
            - '2025-01-01T00:00:00Z'
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
          description: ID of device that created the order
          examples:
            - device-123
        total:
          type: number
          title: Total
          description: Total amount including tax of the order
          examples:
            - 11
        tax_amount:
          type: number
          title: Tax Amount
          description: Total amount of the taxes of the order
          examples:
            - 1
        total_discount:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Discount
          description: Total amount of the discounts of the order
          default: '0'
          examples:
            - 10
        total_refund:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Refund
          description: Total amount of the refunds of the order
          default: '0'
          examples:
            - 5
        total_tip:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Tip
          description: >-
            Total amount of the tips of the order. Tips are not part of the
            total of the order
          default: '0'
          examples:
            - 1
        delivery_fee:
          anyOf:
            - type: number
            - type: 'null'
          title: Delivery Fee
          description: Total amount of the delivery fees of the order
          default: '0'
          examples:
            - 1
        mode:
          anyOf:
            - $ref: '#/components/schemas/Mode'
            - type: 'null'
          description: Delivery Mode
          default: UNKNOWN
          examples:
            - eat_in
        source:
          anyOf:
            - $ref: '#/components/schemas/Source'
            - type: 'null'
          description: Source of the order
          default: UNKNOWN
          examples:
            - web
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency of the order
          examples:
            - EUR
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Country of the order, format: ISO 3166-1 codes.'
          examples:
            - FR
        loyalty:
          anyOf:
            - type: integer
            - type: 'null'
          title: Loyalty
          description: Loyalty points of the order
          examples:
            - 100
        customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Id
          description: Unique identifier of the customer
          examples:
            - customer-123
        location_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Id
          description: Unique identifier of the location
          examples:
            - location-123
        taxes:
          anyOf:
            - items:
                $ref: '#/components/schemas/TotalTaxItem'
              type: array
            - type: 'null'
          title: Taxes
          description: List of taxes of the order
          default: []
        guests:
          anyOf:
            - type: integer
            - type: 'null'
          title: Guests
          description: Number of guests linked to the order
          examples:
            - 1
        payments:
          items:
            $ref: '#/components/schemas/POSPaymentItem'
          type: array
          title: Payments
          description: List of payments made for the order
        items:
          items:
            $ref: '#/components/schemas/POSItem'
          type: array
          title: Items
          description: List of item lines in the order
      type: object
      required:
        - id
        - creation_date
        - total
        - tax_amount
        - payments
        - items
      title: POSOrderItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Mode:
      type: string
      enum:
        - EAT_IN
        - TAKEAWAY
        - DELIVERY
        - UNKNOWN
      title: Mode
    Source:
      type: string
      enum:
        - WEB
        - MOBILE
        - KIOSK
        - POS
        - REMOTE_POS
        - JUSTEAT
        - FOODORA
        - UBEREATS
        - GLOVO
        - DELIVEROO
        - SMILEIN
        - UNKNOWN
      title: Source
    TotalTaxItem:
      properties:
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        tax_rate:
          type: number
          title: Tax Rate
          description: Tax rate
          examples:
            - '10'
        tax_amount:
          type: number
          title: Tax Amount
          description: Tax amount
          examples:
            - '1'
        total:
          type: number
          title: Total
          description: Total amount including tax
          examples:
            - '11'
      type: object
      required:
        - tax_rate
        - tax_amount
        - total
      title: TotalTaxItem
    POSPaymentItem:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Unique identifier of the payment
          examples:
            - payment-123
        payment_method_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Id
          description: Unique identifier of the payment method used for the payment
          examples:
            - payment-method-123
        payment_method_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Name
          description: Chift's name of the payment method used for the payment
          examples:
            - Cash
        total:
          type: number
          title: Total
          description: Total amount of the payment
          examples:
            - 11
        tip:
          anyOf:
            - type: number
            - type: 'null'
          title: Tip
          description: >-
            Total amount of the tips of the payment. Tips are not part of the
            total of the payment
          default: '0'
          examples:
            - 1
        status:
          anyOf:
            - $ref: '#/components/schemas/POSPaymentStatus'
            - type: 'null'
          description: Status of the payment
          default: Unknown
          examples:
            - Completed
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency of the payment
          examples:
            - EUR
        date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date
          description: Date of the payment
          examples:
            - '2025-01-01T00:00:00Z'
        invoice_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Ref
          description: Reference of the invoice linked to the payment
          examples:
            - invoice-123
      type: object
      required:
        - total
      title: POSPaymentItem
    POSItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the order line item
          examples:
            - '123'
        type:
          anyOf:
            - $ref: '#/components/schemas/POSLineItemType'
            - type: 'null'
          description: Type of the order line item
          examples:
            - product
        menu_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Menu Id
          description: Unique identifier of the menu
          examples:
            - '456'
        quantity:
          type: number
          title: Quantity
          description: Quantity of the order line item
          examples:
            - 1
        unit_price:
          type: number
          title: Unit Price
          description: Unit price (without tax) of the order line item
          examples:
            - 10
        total:
          type: number
          title: Total
          description: Total amount including tax of the order line item
          examples:
            - 11
        tax_amount:
          type: number
          title: Tax Amount
          description: Total amount of the taxes of the order line item
          examples:
            - 1
        tax_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Tax Rate
          description: Tax rate of the order line item
          examples:
            - 10
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax of the order line item
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the order line item
          examples:
            - Pizza
        discounts:
          anyOf:
            - items:
                $ref: '#/components/schemas/DiscountItem'
              type: array
            - type: 'null'
          title: Discounts
          description: >-
            List of discounts of the order line item. Discounts of items are
            always part of the total discount of the order
          default: []
          examples:
            - []
        product_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Id
          description: Reference to the product related to this item
          examples:
            - '789'
        accounting_category_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounting Category Id
          description: >-
            Sometimes used by a POS to give a specific accounting category to an
            order item
          examples:
            - '123'
      type: object
      required:
        - id
        - quantity
        - unit_price
        - total
        - tax_amount
      title: POSItem
    POSPaymentStatus:
      type: string
      enum:
        - Pending
        - Completed
        - Canceled
        - Failed
        - Unknown
        - Authorised
      title: POSPaymentStatus
    POSLineItemType:
      type: string
      enum:
        - menu
        - product
        - service
        - general_discount
      title: POSLineItemType
    DiscountItem:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the discount
          examples:
            - Percentage discount
        total:
          type: number
          title: Total
          description: Total amount of the discount
          examples:
            - 10
        type:
          $ref: '#/components/schemas/DiscountType'
          description: Type of the discount
          default: UNKNOWN
          examples:
            - offered
      type: object
      required:
        - total
      title: DiscountItem
    DiscountType:
      type: string
      enum:
        - OFFERED
        - UNKNOWN
        - LOSS
      title: DiscountType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````